--******************************************************************************************************
-- Created: 		05-10-2011
-- Last Updated:	18-08-2011
--
-- Author :  Kostadin Kotev / miau_u@yahoo.com /
-- Version:  3ds max 9 and up
--
-- Discription: 
--	miauu's scripts Installator
--******************************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK

(
	try ( destroyDialog rol_miauuScripts ) catch ()
	rollout rol_miauuScripts "Super Poly Bridge 1.4"
	(
		local tempMiauuScriptsFolder = pathConfig.GetDir #temp+"\\_tempFolder"
		local miauuScriptsMainFolder = pathConfig.GetDir #userscripts+"\\miauuScripts"
		
-- 		ImgTag ImgTag_BG bitmap:(bitmap 2 2 color:gray) pos:[0,0]  \
-- 			width:355 height:135 opacity:1 transparent:(color 0 255 255) enabled:off
		
		button btn_Install "Install" width:175 height:30 pos:[1,1]
		button btn_Uninstall "Uninstall" width:175 height:30 pos:[177,1]

		
		function DeleteDirAndSubDir rootDir =
		(
			try ( DOSCommand ("rmDir \"" + rootDir + "\" /s /q") ) catch (messagebox "Can't delete \"Super Poly Bridge\" folders!" title:"miauu's Work Plane Install Error!!!")
		)
		function DeleteFiles curDir file =
		(
			filesToDelete = getFiles (curDir + file)
			for f in filesToDelete do deleteFile f
		)
		
		function ValidateDirectory _dirNameIn  =
		(
			local _dirName = copy _dirNameIn
			local c
			for i = _dirName.count to 1 by -1 while (c=_dirName[i]; c=="\\" or c== "/") do
				_dirName = subString _dirName 1 (i-1)
			
			if doesFileExist _dirName then
				dirExists = true
			else
				dirExists = false
			
			return dirExists
		)
		
		function InstallWorkPlane =
		(
			if tempMiauuScriptsFolder != "" then
			(
				--	create main folder
				local var_miauuScriptsMainFolder = if (ValidateDirectory miauuScriptsMainFolder) == false then 
					(makeDir miauuScriptsMainFolder)
					else
						true
				
				if var_miauuScriptsMainFolder != true then
				(
					messagebox "Unable to create main folder!" title:"Super Poly Bridge Installation Error!!!"
				)
				else
				(
					--	copy mse and mcr files
					if var_miauuScriptsMainFolder == true then
					(	
						--	copy all files
						allPreinstMCIfiles = (getFiles (tempMiauuScriptsFolder+"\\*.*"))
						for mciFile in allPreinstMCIfiles do
						(	
							copyFile mciFile (miauuScriptsMainFolder+"\\"+filenameFromPath mciFile)						
						)
						--	load macros
						allMCRfiles = (getFiles (miauuScriptsMainFolder+"\\*.mcr"))
						for mcrFile in allMCRfiles do
						(
							fileIn (mcrFile)								
						)
					)
					else
						messagebox "Unable to copy files to main folder" title:"Installation Error!!!"
						--	copy toolbar Icons
-- 					for tBarIcoFiles in (getFiles (tempMiauuScriptsFolder+"\\icons\\*.*")) do
-- 					(	
-- 						copyFile tBarIcoFiles (pathConfig.GetDir #userIcons+"\\"+filenameFromPath tBarIcoFiles)
-- 					)
					-- reload all toolbar icons. for max9 and above
-- 					colorman.reInitIcons()
				)				
			)
			else
				messagebox "Insallation Error!!!" title:"Installation Error"
		)
			
		on rol_miauuScripts close do
		(
			if tempMiauuScriptsFolder != "" do
			(
				DeleteFiles ((getDir #userscripts) + "\_tempFolder") "*.*"	
				DeleteDirAndSubDir tempMiauuScriptsFolder				
			)
		)
		
		on btn_Install pressed do
		(
			if tempMiauuScriptsFolder != "" then
			(				
				InstallWorkPlane()
				destroydialog rol_miauuScripts
			)
			else
				messagebox "Insallation Error!!!" title:"Installation Error"
		)
		
		on btn_Uninstall pressed do
		(				
			try
			(					
				DeleteFiles ((getDir #userscripts) + "\miauuScripts\\") "SuperPolyBridge*.*"	--	delete the mse and mcr files
-- 				DeleteDirAndSubDir ((getDir #userscripts) + "\miauuScripts")	--	delete folders								
				DeleteFiles ((getDir #userMacros) + "\\") "Macro_SuperPolyBridge_14.*"	--	delete macro 
			)
			catch(/* messagebox "Failed to Uninstall!" title:"Installation Error" */)
			--	delete tempMiauuScriptsFolder
			if (tempMiauuScriptsFolder != "") do
				DeleteDirAndSubDir tempMiauuScriptsFolder
			
			destroydialog rol_miauuScripts
		)
	)
	createDialog rol_miauuScripts height:32 width:352 bgcolor:black style:#(#style_toolwindow,#style_sysmenu)
)